<?php
/**
 * Copyright 1999/2000 by Gero Kohnert
 *
 * @modulegroup mailbox
 * @module mailbox_del
 * @package mailbox
 *
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules('mailbox','del');
 loadmodule('mailbox');

 $gotourl = "mytutos.php";
 /* Check Input */
 $msg = "";
 $m = new mailbox($dbconn);

 if ( ! isset($_GET['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]) ."<br>";
 } else {
   $m->read($_GET['id']);
 }
 if ( $m->id < 0 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]) ."<br>";
 } else {
   $gotourl= $m->getURL();
 }
 if ( ! $m->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$m->getType()]) ."<br>";
 }

 if ( $msg == "" ) {
   $gotourl= $m->parent->getURL();

   $dbconn->Begin("WORK");
   $msg .= $m->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) ."/". $gotourl);
 $dbconn->Close();
/*
 *  CVS Info: $Id: mailbox_del.php,v 1.2 2002/12/31 14:33:49 gokohnert Exp $
 *  $Author: gokohnert $
 */
?>
